#ifndef ropendir_h
#define ropendir_h

#include <dirent.h>
#include "gen.h"

#define MAXDEPTH 20

typedef struct 
	{
	int arraysize;
	int numdirs;
	int options;
	DIR *dirs[MAXDEPTH];
	char *path;
	} Rdir;

typedef struct
	{
	char name[PATHSIZE+1];
	} Rdirent;

#define ROPEN_FOLLOW 0x01
#define ROPEN_DEPTH_FIRST 0x02

#endif
