#ifndef stack_h
#define stack_h
#include "vector.h"

typedef struct 
{
  Vector vec;
  int pos;
} Stack;


#define pushStackAutoResize(stk, item) \
(setVectorAutoResize(&(stk)->vec, (stk)->pos, item), (stk)->pos++)

#define pushStack(stk, item) \
(setVector(&(stk)->vec, (stk)->pos, item), (stk)->pos++)

#define popStack(stk) \
((stk)->pos--, getVector(&(stk)->vec, (stk)->pos))

#define popStackNum(stk, num) \
((stk)->pos -= num)

#define popStackTo(stk, position) \
((stk)->pos = position)

#define stackLast(stk, pos) \
(getVector(&(stk)->vec, (stk)->pos - (pos + 1)))

#define stackEmpty(stk) \
((stk)->pos <= 0)

#endif
